List Agent logs
curl --request GET \
--url https://api.peec.ai/customer/v1/agent-analytics/logs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.peec.ai/customer/v1/agent-analytics/logs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peec.ai/customer/v1/agent-analytics/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"bot_id": "AppleBot",
"timestamp": "2025-01-01T00:01:02.000Z",
"request_method": "GET",
"request_host": "example.com",
"request_path": "/path",
"response_status": 200,
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_5) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.1.1 Safari/605.1.15 (Applebot/0.1; +http://www.apple.com/go/applebot)",
"client_ip": "127.0.0.1",
"referer": "notexample.com"
}
],
"total_count": 100,
"totalCount": 100
}Project
List Agent logs
List Agent access logs from your log provider integration or access file upload
GET
/
agent-analytics
/
logs
List Agent logs
Authorizations
APIKeyHeaderAPIKeyQueryBearerAuth
Query Parameters
Required if using a company api key
Example:
"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"
Required range:
1 <= x <= 10000Required range:
0 <= x <= 9007199254740991full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Example:
"2025-09-22"
full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Example:
"2025-09-22"
List of bot IDs to filter by. you will get it from /agent-analytics/bots
Available options:
GPTBot, anthropic-ai, Google-Extended, Meta-ExternalAgent, Applebot-Extended, Amazonbot, Bytespider, CCBot, Ai2Bot, Ai2Bot-Dolma, cohere-ai, cohere-training-data-crawler, DeepSeekBot, PanguBot, Webzio-Extended, Diffbot, Brightbot, FacebookBot, omgili, Timpibot, GrokBot, OAI-SearchBot, Claude-SearchBot, PerplexityBot, Amzn-SearchBot, AzureAI-SearchBot, Google-CloudVertexBot, meta-webindexer, Applebot, Grok-DeepSearch, xAI-Grok, ChatGPT-User, Claude-User, Perplexity-User, Manus-User, GoogleAgent-Mariner, NovaAct, Gemini-Deep-Research, MistralAI-User, DuckAssistBot, quillbot.com, meta-externalfetcher, Claude-Code, MyCentralAIScraperBot, Google-Agent, omgilibot, ClaudeBot, Claude-Web, YouBot Example:
["AppleBot", "GoogleBot"]
